/***************************************************************************
 *   Copyright (C) 2007  Antony Martin <martin.antony@yahoo.fr>            *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or         *
 *   modify it under the terms of the GNU General Public License           *
 *   as published by the Free Software Foundation; either version 2        *
 *   of the License, or (at your option) any later version.                *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA          *
 ***************************************************************************/

/* Cree le : 9 juillet 2007
   derniere modification : 05/04/2008 */

#ifndef SCESKYBOX_H
#define SCESKYBOX_H

#include <stdarg.h>
#include <SCE/interface/SCEModel.h>

#ifdef __cplusplus
extern "C"
{
#endif

#define SCE_SKYBOX_MODE_CUBEMAP 1
#define SCE_SKYBOX_MODE_ALLFACES 2

/* cree une skybox a partir de sa taille */
SCE_SModel* SCE_Skybox_Create (float);

/* defini une texture a une skybox ainsi qu'un mode d'application */
int SCE_Skybox_SetTextureFromFile (SCE_SModel*, int, int, ...);
int SCE_Skybox_SetTexture (SCE_SModel*, SCE_STexture*, int);
/* defini le modele d'utilisation de la texture */
void SCE_Skybox_SetTexModel (SCE_SModel*, int*, int, int);

#ifdef __cplusplus
} /* extern "C" */
#endif

#endif /* guard */
